> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Configures email notification delivery when a campaign export completes.

# Set Email for Campaign Export Notification

## How it works

When you set an email address for an export:

1. The export continues processing in the background
2. When the export status becomes `"done"`, an automated email is sent to the specified address
3. The email contains the download URL for the CSV file

## Use cases

This is particularly useful for:

* **Long-running exports**: Set an email and continue working without having to poll the status endpoint
* **Automated workflows**: Set up scripts that trigger exports and notify specific team members
* **Multiple recipients**: Call this endpoint with different email addresses to notify multiple people

<Tip>
  You can set the email notification at any time after starting an export, even if the export is already complete. However, it's most useful to set it immediately after starting the export.
</Tip>

## Email format

The notification email includes:

* Campaign name
* Export completion timestamp
* Direct download link to the CSV file

<Warning>
  Remember that the CSV file is only available for 24 hours after the export completes.
</Warning>


## OpenAPI

````yaml put /campaigns/{campaignId}/export/{exportId}/email/{email}
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /campaigns/{campaignId}/export/{exportId}/email/{email}:
    parameters:
      - name: campaignId
        in: path
        required: true
        description: The unique identifier of the campaign that was exported
        example: cam_A1B2C3D4E5F6G7H8I9
        schema:
          type: string
      - name: exportId
        in: path
        required: true
        description: The unique identifier of the export returned by the /start endpoint
        example: axp_Vv6lJOc8NlVVmDud5
        schema:
          type: string
      - name: email
        in: path
        required: true
        description: The email address to send the export URL to when the export is done
        example: emily.johnson@example.com
        schema:
          type: string
          format: email
    put:
      tags:
        - Campaigns
      summary: Set Email for Campaign Export Notification
      description: >-
        Set an email address for a given export. When the export is done, an
        email with the download URL will be sent to the address provided.
      parameters: []
      responses:
        '200':
          description: Email notification set successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  status:
                    type: object
                    properties:
                      _id:
                        type: string
                      id:
                        type: string
                      teamId:
                        type: string
                      campaignId:
                        type: string
                      campaignName:
                        type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - done
                          - error
                      startedAt:
                        type: string
                        format: date-time
                      progressIndex:
                        type: integer
                      progressTime:
                        type: integer
                      progressLastStepDuration:
                        type: integer
                      progressType:
                        type: string
                      progress:
                        type: integer
                      total:
                        type: integer
                      fileSize:
                        type: integer
                        description: Size of the export file in bytes
                      endedAt:
                        type: string
                        format: date-time
                      url:
                        type: string
                        description: Download URL for the CSV file
                      email:
                        type: string
                        format: email
                        description: Email address that will receive the notification
              example:
                ok: true
                status:
                  _id: axp_Vv6lJOc8NlVVmDud5
                  id: axp_Vv6lJOc8NlVVmDud5
                  teamId: tea_c123fg5h8ijKL9noP
                  campaignId: cam_A1B2C3D4E5F6G7H8I9
                  campaignName: Insights Outreach 2024
                  status: done
                  startedAt: '2024-07-11T09:49:15.278Z'
                  progressIndex: 6
                  progressTime: 1720691355497
                  progressLastStepDuration: 0
                  progressType: done
                  progress: 0
                  total: 0
                  fileSize: 654
                  endedAt: '2024-07-11T09:49:15.497Z'
                  url: >-
                    https://api.lemlist.com/api/files/exports/fil_axp_Vv6lJOc8NlVVmDud5_insights_outreach_2024.csv
                  email: emily.johnson@example.com
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: Unauthorized
        '404':
          description: Campaign or export not found
          content:
            text/plain:
              examples:
                campaignNotFound:
                  summary: Campaign not found
                  value: Campaign not found
                exportNotFound:
                  summary: Export not found
                  value: Export not found
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````